package org.dromara.zhishu.service;

import org.dromara.zhishu.domain.dto.WaveDetailRequestDto;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * 波次信息Service接口
 *
 * @author Lion Li
 * @date 2026-01-22
 */
public interface IWaveDetailService {

    /**
     * 新增波次信息
     *
     * @param requestDto 波次信息请求DTO
     * @return 是否新增成功
     */
    Boolean insertWaveDetail(String userid, WaveDetailRequestDto requestDto);

    /**
     * 获取波次ID
     */
    Long getWaveID();

    String getEmployeeId(String name, String userId);

    Boolean countVerWave(String waveId, String employeeId, Integer submitCount);
}
